# US links MuddyWater hacking group to Iranian intelligence agency
## US Cyber Command (USCYBERCOM) has officially linked the Iranian-backed MuddyWatter hacking group to Iran's Ministry of Intelligence and Security (MOIS).
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/us-links-muddywater-hacking-group-to-iranian-intelligence-agency/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 January 2022, 20:27
+ Date scraped: 12 January 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/25/Iran-fingerprint.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/05/25/Iran-fingerprint.jpg)

![US links MuddyWater hacking group to Iranian intelligence agency](https://www.bleepstatic.com/content/hl-images/2021/05/25/Iran-fingerprint.jpg)


US Cyber Command (USCYBERCOM) has officially linked the Iranian-backed MuddyWatter hacking group to Iran's Ministry of Intelligence and Security (MOIS).


MOIS is the Iran government's leading intelligence agency, tasked with coordinating the country's intelligence and counterintelligence, as well as covert actions supporting the Islamic regime's goals beyond Iran's borders.


"These actors, known as MuddyWater in industry, are part of groups conducting Iranian intelligence activities, and have been seen using a variety of techniques to maintain access to victim networks," [USCYBERCOM said](https://www.cybercom.mil/Media/News/Article/2897570/iranian-intel-cyber-suite-of-malware-uses-open-source-tools/) today.


"MuddyWater is an Iranian threat group; previously, industry has reported that MuddyWater has primarily targeted Middle Eastern nations, and has also targeted European and North American nations. MuddyWater is a subordinate element within the Iranian Ministry of Intelligence and Security (MOIS)."


The cyber-espionage group (aka [SeedWorm](https://www.bleepingcomputer.com/news/security/seedworm-spy-gang-stores-malware-on-github-keeps-up-with-infosec-advances/) and [TEMP.Zagros](http://www.fireeye.com/blog/threat-research/2018/03/iranian-threat-group-updates-ttps-in-spear-phishing-campaign.html)) was first [spotted in 2017](https://blog.malwarebytes.com/threat-analysis/2017/09/elaborate-scripting-fu-used-in-espionage-attack-against-saudi-arabia-government_entity/) and is known for mainly targeting Middle Eastern entities and continuously upgrading its arsenal.


Although relatively new, the Iranian-sponsored APT group is [highly active](https://www.bleepingcomputer.com/news/security/seedworm-spy-gang-stores-malware-on-github-keeps-up-with-infosec-advances/), and it targets the telecommunications, government (IT services), and oil industry sectors.


MuddyWater was also observed expanding their attacks to government and defense entities in Central and Southwest Asia, and numerous privately-held and public orgs from North America, Europe, and Asia [[1](https://www.symantec.com/blogs/threat-intelligence/seedworm-espionage-group), [2](https://securelist.com/muddywater/88059/), [3](https://blog.malwarebytes.com/threat-analysis/2017/09/elaborate-scripting-fu-used-in-espionage-attack-against-saudi-arabia-government_entity/)].



> 
> Collaboration between the [#FBI](https://twitter.com/hashtag/FBI?src=hash&ref_src=twsrc%5Etfw) and [@CNMF\_CyberAlert](https://twitter.com/CNMF_CyberAlert?ref_src=twsrc%5Etfw) through the National Cyber Investigative Joint Task Force (NCIJTF) is key to detecting network compromises, mitigating computer intrusions, and preventing malicious Iranian cyber activities. [#CyberIsATeamSport](https://twitter.com/hashtag/CyberIsATeamSport?src=hash&ref_src=twsrc%5Etfw) <https://t.co/Y7QsTgHHZb>
> 
> 
> — FBI (@FBI) [January 12, 2022](https://twitter.com/FBI/status/1481345402536439814?ref_src=twsrc%5Etfw)


In collaboration with the FBI, USCYBERCOM's Cyber National Mission Force (CNMF) has [also shared](http://DLL%20loader%20that%20decrypts%20and%20runs%20a%20powershell-based%20downloader.) multiple malware samples used by the Iranian hacking group's operators in espionage and malicious activity.


The samples include multiple variants of PowGoop, a DLL loader designed to decrypt and run a PowerShell-based malware downloader.


JavaScript samples deployed on devices compromised using the PowGoop loader and a Mori backdoor sample featuring DNS tunneling communication capabilities and used in espionage campaigns were also shared today on VirusTotal.


"If you see a combination of these tools, Iranian MOIS actor MuddyWater may be in your network. MuddyWater has been seen using a variety of techniques to maintain access to victim networks," the US military command [added](https://www.virustotal.com/gui/user/CYBERCOM_Malware_Alert).


"These include side-loading DLLs in order to trick legitimate programs into running malware and obfuscating PowerShell scripts to hide command and control functions."







## Tags:
***urls***: https://t.co/Y7QsTgHHZb

### Autogenerated tags:
muddywater mois malware
