# End of VBScript! Microsoft Replacing it With Advanced Alternatives
## The deprecation will occur in three phases. Beginning with the new OS release slated for later this year, VBScript will be available as features on demand (FODs).
## Information:

+ Link: https://cybersecuritynews.com/?p=65561
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 23 May 2024, 06:05
+ Date scraped: 23 May 2024, 07:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjkKIvc8Il1C2-4rpGqH-6Nb0hZR09LFDAgHWrfECombN_vaGlr-cVFnZ28BxmjqQ6GSJDJi_FtbDJlnRSDPJkW9DBLfZuiqymgGEbJKs6qQc872-0eR5jCW_elT0xS8caNF4-9ZzLhe6w5ZoppdWIPXpKhj_heDZXgF72lGT9djlvC02W1Ygt0iYq99w0d/s16000/VBScript%20Deprecation.webp)


Microsoft has officially announced the gradual deprecation of VBScript, with plans to replace it with more advanced alternatives such as JavaScript and PowerShell.


The move comes as part of Microsoft’s commitment to providing users with the best and most efficient experiences.


VBScript, a lightweight scripting language introduced by Microsoft in 1996, has been widely used for automating tasks and controlling applications on Windows-based systems. However, with the advancement of technology, more modern and efficient options are now available.


Free Webinar on **[Live API Attack Simulation](https://www.indusface.com/live-api-attack-simulation.php?utm_source=blog-cta&utm_medium=referral&utm_campaign=2024-may-webinar-live-api-attack-simulation)**: Book Your Seat | Start protecting your APIs from hackers


The deprecation will occur in three phases. Beginning with the new OS release slated for later this year, VBScript will be available as features on demand (FODs).



![VBScript Deprecation](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjkKIvc8Il1C2-4rpGqH-6Nb0hZR09LFDAgHWrfECombN_vaGlr-cVFnZ28BxmjqQ6GSJDJi_FtbDJlnRSDPJkW9DBLfZuiqymgGEbJKs6qQc872-0eR5jCW_elT0xS8caNF4-9ZzLhe6w5ZoppdWIPXpKhj_heDZXgF72lGT9djlvC02W1Ygt0iYq99w0d/s16000/VBScript%20Deprecation.webp "VBScript Deprecation")

Deprecation Timeline




The feature will be completely retired from future Windows OS releases as Microsoft transitions to more efficient PowerShell experiences.


As a result of this change, projects that rely on [VBScript](https://cybersecuritynews.com/hackers-use-weaponized-lnk-files/) will stop functioning once the language is fully retired. Microsoft expects users to switch to suggested alternatives by then.


These alternatives offer enhanced capabilities and better performance, aligning with the advancements in technology over the years. PowerShell, in particular, is highlighted as a more efficient experience for task automation and system management.


The move to deprecate VBScript is part of Microsoft’s efforts to modernize scripting options for web development and task automation. By replacing VBScript with more advanced alternatives, Microsoft aims to provide users with the most modern and efficient options available.


Malicious actors have used VBScript to distribute malware strains like Lokibot, Emotet, Qbot, and [DarkGate](https://cybersecuritynews.com/darkgate-malware-weaponizing-files-attack-windows/). Deprecating VBScript is likely part of Microsoft’s broader strategy to mitigate the increasing prevalence of these malware campaigns.


For [more information](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/vbscript-deprecation-timelines-and-next-steps/ba-p/4148301) on VBScript deprecation and best practices for transitioning to alternative technologies, Microsoft encourages users to visit the Windows Tech Community and follow their updates.


The primary reasons for deprecating VBScript appear to be enhancing security by preventing its use in malware distribution, encouraging the transition to modern scripting alternatives, and allowing Microsoft to remove a legacy component that may contain vulnerabilities. However, Microsoft has not provided an official, detailed explanation behind this decision.





## Tags:


### Autogenerated tags:
microsoft vbscript powershell malware
