# Facebook's In-app Browser Within iOS Apps Track Anything
## All third-party links and the advertising displayed within the Instagram and Facebook iOS apps are rendered by way of a custom in-app browser that is already built into the apps, discovered by a security researcher, Felix Krause.
## Information:

+ Link: https://cybersecuritynews.com/?p=10132
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 17 August 2022, 04:42
+ Date scraped: 17 August 2022, 05:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhUAk8NKTVPkum03gufA_y5cqrGacXPTXsPerf1bEboBlRSVy09qCvDvrpWrDo2Dew-GLhWsLHlyLq0gmCzkA9gQBFeB0pPTyJFzfFkEDGHYmSeVxHKHEuG25zg_MbB_Ig58lDV34sROkLfQa8gALcZOg4Em7LZDpqG8NyE4Wy6pbVKDtt7PzcSxhnG4A/s16000/Facebooks%20In-app%20Browser%20Within%20iOS%20Apps%20Track%20Anything%20You%20Do%20On%20Any%20Website.png)

All third-party links and the advertising displayed within the Instagram and Facebook iOS apps are rendered by way of a custom in-app browser that is already built into the apps, discovered by a security [researcher](https://krausefx.com/blog/ios-privacy-instagram-and-facebook-can-track-anything-you-do-on-any-website-in-their-in-app-browser), Felix Krause.

It is apparent that this poses a number of risks to the user, as the host application has the capability of tracking every single interaction that the user has with an external website.

The parent company Meta will be able to track the following information:-

* Passwords
* Addresses
* Mobile Numbers
* Every single tap
* Text selections
* Screenshots
* Credit card numbers
* Debit card numbers

### **What’s the Purpose of Facebook and Instagram?**

Here below, we have mentioned the purposes of Facebook and Instagram in points:-

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)* Instead of using the built-in Safari to display links to external websites, Instagram renders links to external websites inside the app instead.
* There is a risk that Facebook or Instagram may be monitoring everything that goes on a user’s phone on an external website without the user’s knowledge.
* The Instagram and Facebook applications inject JavaScript code into all websites they display, including those that appear when you click on advertisements.
* It is possible for third-party websites to monitor all user interactions by running custom scripts on third-party websites.

### **In-App Browsers’ Risk**

Apple addressed the concerns of iOS users who were concerned about tracking through [iOS](https://cybersecuritynews.com/apple-released-security-updates-for-ios-ipados-macos-tvos-and-watchos/) 14.5 and a feature called ATT (App Tracking Transparency), released by Apple in 2021.

While to avoid tracking data generated by third-party apps that are not owned by the developer, the new control required app developers to request consent from users before tracking data generated by them.

![](https://lh5.googleusercontent.com/hgInxH4WRq1pVaB63skseiSkgFmWd6yjefruEon_Rkbz2hh9xcKsoRtEyisVS2mOfGitbTRTNJbu3lFWtrEIWeqNd1K441upPnbVcC2q2aFrruUXBssbnXvape7ZGPHgWtMhLVPGyNxuEhQyQ4L9U5A)

In order to view websites within the in-app browser, PCM.JS code must be injected into the webpage and then displayed through the application. Here, to communicate between the in-app website content and the host app, both apps use the code, and the code serves as a bridge between the two apps.

There is a high degree of privacy risk associated with the use of in-app browsers, whether they are provided by Meta or by another company.

The in-app browser can also be used to steal user credentials, API keys, or referral links to siphon ad revenue from websites, which is another way firms can exploit this security hole to gain access to users’ critical and essential data.

App developers must obtain permission before tracking in a Meta app in compliance with Apple’s ATT rule, as explained by Meta. The ability to choose to opt-out of Meta’s in-app tracking is dependent upon the use of what’s called a Meta Pixel by a third-party website.

While in the case of the WhatsApp app, it does not provide a similar service to third-party websites.




## Tags:


### Autogenerated tags:
websites third-party in-app instagram facebook apps
