# Hackers Steal Over 50,000 Payment Card Records Using E-Skimmer
## Two web-skimming Magecart campaigns that targeted three different online ordering platforms have stolen payment card details from more than 310 restaurants.
## Information:

+ Link: https://cybersecuritynews.com/?p=9832
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 21 July 2022, 12:20
+ Date scraped: 25 July 2022, 20:22

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiWahz6E_AiSeL2SP_YeZMUPQ1fTbX5M30qScYzpTAJfxAuAdBDyfTwVzHHWxv-4O3iw2iL4C-b0o8bGzcAsMr4L30xxUICJleZH46EMRztx5pelBVdWMXC4pBunBmaItRDFtiG4PLEoPF4Npnzwnz-C_4-5ur5bSzX1RAxsrObMOQ5_Gkn19oSS0JvKg/s16000/Hackers%20Steal%20Over%2050,000%20payment%20card%20records%20from%20Over%20300%20restaurant.png)

Two web-skimming Magecart campaigns that targeted three different online ordering platforms have stolen payment card details from more than 310 restaurants.

It was determined that in total, 50,000 payment cards were taken, and as a result, they are already in the process of being sold on a number of dark-web marketplaces.

When an online shopper types their credit card information on the checkout page, the Magecart malware, which is usually JavaScript code, collects the data.

![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh957kY1N0QBYfdWcBl9h3cc7FwYt4wsEm-qzxrl2IlX7E0lvGDLjdFbeSPsgNlGvdlBQDJYu5AKT392-WBX0kSw7gif9Aof83FFn85gq9zJQLmi6ncE0b_tFrXZcVxVTj01zguz5nffCbXR1BjnU5rYqWv92gx70p5yRHOUTGtXJaYeSD7NqflNPmxlQ/s16000/eskim%20javascript.PNG)Infection on MenuDrive platform showing the e-skimmer JavaScript (BLUE)

The target audience of the presentation will be fraud and CTI teams within financial institutions and security professionals within the e-commerce sector.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)The following Magecart campaigns were identified by Recorded Future’s threat detection tools, and here are the portals below:-

* MenuDrive
* Harbortouch
* InTouchPOS

## **Campaigns**

According to theRecord Future [report](https://cybersecuritynews.com/wp-content/uploads/2022/07/eskimmer.pdf), On January 18, 2022, the initial campaign was started that hit several restaurants, and here below we have mentioned the key data:- 

* Hit 80 restaurants using MenuDrive platform.
* Hit 74 restaurants using Harbortouch platform.

In the majority of cases, these restaurants are small establishments that are located all around the United States. It was injected into the restaurant’s website on both platforms so that the [web skimmer](https://en.wikipedia.org/wiki/Web_skimming) would be picked up.

Two scripts were used in MenuDrive malware to steal payment card data and collect the following information about the cardholder:-

* Name
* Email address
* Phone number

A single script was being used by the skimmer injected into Harbortouch to steal all information about the user and payment card information.

As of Nov 12, 2021, InTouchPOS is the target of a second campaign targeting the company. It was not until January 2022 that most of the injections of [skimmer software](https://cybersecuritynews.com/?s=SKIMMER) were discovered on web pages.

Skimmers such as these have been linked to older campaigns that are still being carried out as a result of the artifacts that identify them.

Here, the skimmer uses a fake payment form to disguise itself as a legitimate target, so the details of the website are not stolen.

In both campaigns, the corresponding exfiltration domains and the corresponding campaigns are still active and are running as planned.

All entities impacted by the compromise have been informed of the compromise by the security firm. There has been no response yet to their request, however. But, the payment platforms and law enforcement agencies have been notified of the situation in accordance with their requirements.

While the MenuDrive and Harbortouch require the scanning of all restaurant subdomains in order to remove the skimmers from their software.




## Tags:


### Autogenerated tags:
menudrive magecart harbortouch
