# Crimeware Group Asylum Ambuscade Ventures Into Cyber-Espionage
## ESET researchers suggested Asylum Ambuscade has been active since 2020
## Information:

+ Link: https://www.infosecurity-magazine.com/news/crimeware-asylum-ambuscade-cyber/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 10 July 2023, 17:00
+ Date scraped: 10 July 2023, 17:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/26c456a9-e154-49e6-bd10-8fac0eb03a01.png)


Asylum Ambuscade, a crimeware group, has been observed changing tactics and moving to cyber espionage.


The group, [initially exposed](https://www.proofpoint.com/us/blog/threat-insight/asylum-ambuscade-state-actor-uses-compromised-private-ukrainian-military-emails) by researchers from Proofpoint in March 2022, has been targeting European government personnel involved in assisting Ukrainian refugees shortly after the onset of the Russia–Ukraine conflict.


Now, cybersecurity researchers at ESET have published a new, [in-depth analysis](https://www.welivesecurity.com/2023/06/08/asylum-ambuscade-crimeware-or-cyberespionage/) of Asylum Ambuscade, suggesting the group has been active since at least 2020.


“We found previous compromises of government officials and employees of state-owned companies in Central Asia countries and Armenia,” wrote ESET malware researcher Matthieu Faou.


The group employs various script languages such as AutoHotkey, JavaScript, Lua, Python and VBS to develop their implants and carry out their operations.


Their cyber-espionage campaigns primarily involve spear-phishing emails containing malicious attachments to steal confidential information and webmail credentials from government officials.


[*Read more on spear phishing: New APT Dark Pink Hits Asia-Pacific, Europe With Spear Phishing Tactics*](https://www.infosecurity-magazine.com/news/dark-pink-hits-apac-spear-phishing/)


In addition to their cyber-espionage activities, Asylum Ambuscade has been running extensive cybercrime campaigns since early 2020. Their targets have exceeded 4500 victims worldwide, primarily in North America but also spanning Asia, Africa, Europe and South America.


While the motives behind targeting cryptocurrency traders are apparent, the exact monetization methods for their access to SMBs remain unclear. ESET speculated that they might sell this access to other cybercrime groups, possibly for deploying ransomware attacks, though no concrete evidence has been found thus far.


Notably, the compromise chains and the tools used by Asylum Ambuscade show remarkable similarities across their cyber-espionage and cybercrime campaigns. This indicates that the group is likely the same entity engaging in both activities.


“It is quite unusual to catch a cybercrime group running dedicated cyber-espionage operations, and as such, we believe that researchers should keep close track of Asylum Ambuscade activities,” concluded Faou.


The ESET advisory follows the [publication of a joint advisory](https://www.infosecurity-magazine.com/news/us-korean-agencies-issue-warning/) by US and South Korean security agencies warning about North Korea’s use of social engineering tactics, including spear phishing, in cyber-attacks.






## Tags:


### Autogenerated tags:
eset cyber-espionage cybercrime phishing
