# DDoS Protection Weaponized to Deliver RATs
## New campaign disguised as fake Cloudflare pop-up
## Information:

+ Link: https://www.infosecurity-magazine.com/news/ddos-protection-weaponized-to/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 22 August 2022, 08:50
+ Date scraped: 22 August 2022, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/e5241a5f-b650-4063-b662-58e732b51fd5.png)

Security researchers have discovered a new threat campaign designed to trick users into downloading malware capable of hijacking their machine.


Discovered by [Sucuri](https://sucuri.net/), the attacks begin with a malicious JavaScript injection designed to target WordPress sites, resulting in a fake Cloudflare DDoS protection pop-up.


These have become increasingly popular over recent years as website owners struggle to detect legitimate users from pervasive bot traffic.


“Since these types of browser checks are so common on the web many users wouldn’t think twice before clicking this prompt to access the website they’re trying to visit. However, the prompt actually downloads a malicious .iso file onto the victim’s computer,” [Sucuri said in a blog post.](https://blog.sucuri.net/2022/08/fake-ddos-pages-on-wordpress-lead-to-drive-by-downloads.html)


“What most users do not realise is that this file is in fact a remote access Trojan (RAT), currently flagged by 13 security vendors at the time of writing this article.”


The malware in question was identified as the NetSupport RAT, linked to ransomware campaigns and downloads of data-stealing malware RacoonStealer.


“The infected computer could be used to pilfer social media or banking credentials, detonate ransomware, or even entrap the victim into a nefarious ‘slave’ network, extort the computer owner, and violate their privacy – all depending on what the attackers decide to do with the compromised device,” warned Sucuri.


The security vendor urged webmasters to keep all software updated, use strong passwords and two-factor authentication, deploy a firewall in front of their website, and use file integrity monitoring to better spot suspicious activity.


“RATs are regarded as one of the worst types of infections that can affect a computer as it gives the attackers full control over the device,” Sucuri concluded.


“At that point, the victim is at their mercy. Website owners and visitors alike must take any and all precautions to protect themselves.”





## Tags:


### Autogenerated tags:
website malware
