# Digital Skimming is Now the Preserve of Non-Magecart Groups
## Commodity kit invites new entrants into the market
## Information:

+ Link: https://www.infosecurity-magazine.com/news/digital-skimming-non-magecart/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 18 May 2022, 08:30
+ Date scraped: 18 May 2022, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/b7290595-22cb-426c-a47a-72d3246e421e.jpg)

Less than a fifth of digital skimming activity at the start of the year was linked to Magecart groups, as cheap tools lowered the barrier to entry for less sophisticated cyber-criminals, according to new research.


RiskIQ analyzed the cybercrime underground and customer environments across the first quarter of 2022 to better understand the latest trends in a market that used to be dominated by Magecart.


[It found](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.riskiq.com%2Fblog%2Fexternal-threat-management%2Fmagecart-skimming-trends%2F&data=05%7C01%7Cbenjamin.david%40reedexpo.co.uk%7Cbd9f49c83817484aa95e08da38abbce6%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637884607508070430%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=HLLF4ppZxVMGkOqwgrppty0QrNCVMH%2F%2Fj%2FU7xxI0Xd8%3D&reserved=0) that just 18% of detections in the quarter were traced back to one of the several groups using Magecart skimmers. By contrast, 40% were attributed to “generic, potentially modular, or commodity skimmer kits.” That’s more than double the figure of March 2021.


Magecart refers to several distinct cybercrime groups that virtually pioneered the use of malicious JavaScript to steal credit card details. The malicious code is injected onto the payment pages of e-commerce sites either directly or via the victim organization’s supply chain partners.


Its name comes from Magento, the first type of third-party shopping software targeted back in 2016. Big-name victims over the years include Ticketmaster and British Airways.


However, the availability of cheap, easy-to-use skimmers is changing the underground market, RiskIQ claimed.


“The recent growth of commodity malware and ransomware highlights a natural progression into commodity and kit skimmers,” it said. “Easily modifiable with high profitability potential, skimmers with relatively simple functionality can be altered in minor ways to suit new criminals.”


This is not to say Magecart is in permanent decline: RiskIQ observed twice as many detections related to Magecart’s C&C infrastructure in Q1 2022 compared to March 2021.


“Magecart Group 7, Group 12, and Group 8 remain highly active while changing very little in their operations,” it warned.


“In this case, the adage, ‘don’t fix what isn’t broken,’ applies. When targeted retailers remain unaware of skimmer activity, threat actors will continue to operate with their tried and tested, effective scheme.”






## Tags:


### Autogenerated tags:
magecart riskiq
