# Fake DDoS Protection Prompts on Hacked WordPress Sites Deliver RATs
## Sucuri has observed a surge in JavaScript injections in WordPress sites, resulting in fake DDoS protection prompts that trick victims into downloading remote access trojans (RATs).
## Information:

+ Link: https://www.securityweek.com/fake-ddos-protection-prompts-hacked-wordpress-sites-deliver-rats
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 22 August 2022, 15:00
+ Date scraped: 22 August 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


DDoS protection notifications are web pages that the browser serves to users when checks are performed to verify that the visitor is indeed a human and not a bot or part of a DDoS attack.


These notifications may seem like a nuisance, but they were meant to be nothing more than checks before the user accesses the desired web page, and are necessary to ensure malicious traffic is stopped before reaching its targets.


Recently, Sucuri’s researchers discovered a surge in JavaScript injections targeting WordPress websites to [deliver fake Cloudflare DDoS protection prompts](https://blog.sucuri.net/2022/08/fake-ddos-pages-on-wordpress-lead-to-drive-by-downloads.html) to visitors.


Once the user clicks on the fake popup, a remote access trojan (RAT) is downloaded on their computer, in the form of an ISO file. Furthermore, the victim is instructed to open the file to obtain a verification code in order to access the destination website.


The ISO file was observed dropping the NetSupport RAT, along with the RaccoonStealer information stealer, and two additional payloads.


“This is NetSupport RAT. It has been linked to FakeUpdates/SocGholish and typically used to check victims before ransomware rollout. The ISO file contains a shortcut disguised as an executable that runs PowerShell from another text file,” Malwarebytes researcher Jerome Segura said.


Initially a legitimate application called NetSupport Manager, NetSupport RAT provides attackers with remote control over the victim’s machine, which enables them to deploy additional malware, steal sensitive information, or even ensnare the computer in a botnet.


“Remote access trojans (RATs) are regarded as one of the worst types of infections that can affect a computer as it gives the attackers full control over the device. At that point, the victim is at their mercy. Website owners and visitors alike must take any and all precautions to protect themselves,” Sucuri notes.





 


## Tags:


### Autogenerated tags:
netsupport ddos
