# Blind Eagle Cyber Espionage Group Strikes Again: New Attack Chain Uncovered
## Blind Eagle, a cyber espionage group known for sophisticated attack techniques, linked to new multi-stage attack chain deploying NjRAT trojan
## Information:

+ Link: https://thehackernews.com/2023/04/blind-eagle-cyber-espionage-group.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 April 2023, 15:15
+ Date scraped: 19 April 2023, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi2HHX8vOC9L81i5ECcJNqtzQN50RGmXg8IB_dHtqHLj1B_AdYUVcw-bE4R89pUcaKbJqIyNtRbvjWHA9n_MSbg5U9AvlcNyznsVDUrSJTfdgfYlSGTlz4b3kJxG56Kj2eGbbSgsbbXupbeO8aoprqdNCGYimcAxBJlne9sbnDRslojsy55BCD0YyYx/s728-e3650/Cyber-Espionage.png)


The cyber espionage actor tracked as **Blind Eagle** has been linked to a new multi-stage attack chain that leads to the deployment of the NjRAT remote access trojan on compromised systems.


"The group is known for using a variety of sophisticated attack techniques, including custom malware, social engineering tactics, and spear-phishing attacks," ThreatMon [said](https://threatmon.io/apt-blind-eagles-malware-arsenal-technical-analysis/) in a Tuesday report.


Blind Eagle, also referred to as APT-C-36, is a suspected Spanish-speaking group that chiefly strikes private and public sector entities in Colombian. Attacks orchestrated by the group have also targeted Ecuador, Chile, and Spain.


Infection chains documented by [Check Point](https://thehackernews.com/2023/01/blind-eagle-hackers-return-with-refined.html) and [BlackBerry](https://thehackernews.com/2023/02/apt-c-36-strikes-again-blind-eagle.html) this year have revealed the use of spear-phishing lures to deliver commodity malware families like BitRAT, AsyncRAT, and in-memory Python loaders capable of launching a Meterpreter payload.


The latest discovery from ThreatMon entails the use of a JavaScript downloader to execute a PowerShell script hosted in Discord CDN. The script, in turn, drops another PowerShell script and a Windows batch file, and saves a VBScript file in the Windows startup folder to [achieve persistence](https://support.microsoft.com/en-us/windows/add-an-app-to-run-automatically-at-startup-in-windows-10-150da165-dcd9-7230-517b-cf3c295d89dd).


[![New Attack Chain](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhk_aOIamfgAYWbaR_e92e6LDRV7Pm_G86KKguVENOlo_a8Y4SBMjfNlI32sbci_cKeCJIeVkSDhuJBBdzzJ0KOCiaiuFwRVc76NDhxVIbVAp2e7oHrAwM11h-q6FHyPglXJLurQl_JKXiUkbmIR7xhfMOPf2VPFcMjPkEnIFLEpOti69OBNdwvqywI/s728-e365/powershell.png)
The VBScript code is then run to launch the batch file, which is subsequently deobfuscated to run the PowerShell script that was previously delivered along with it. In the final stage, the PowerShell script is used to execute [njRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.njrat).


"njRAT, also known as Bladabindi is a remote access tool (RAT) with user interface or trojan which allows the holder of the program to control the end-user's computer," the cybersecurity firm said.



  





## Tags:


### Autogenerated tags:
powershell njrat
