# Experts Warn of 'Ice Breaker' Cyberattacks Targeting Gaming and Gambling Industry
## With ICE London 2023 trade fair just around the corner, hackers are using clever social engineering tactics to deploy a JavaScript backdoor.
## Information:

+ Link: https://thehackernews.com/2023/02/experts-warn-of-ice-breaker.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 February 2023, 13:56
+ Date scraped: 01 February 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgSylnLrjflS9NoFBBVs2U5BvsPkYIqO8eut6b1r9F4aKXi2oLGcRzgB1JLqcWghdMHP72qiHPSYxNuJUAg60z9sdweIApqzo9rkUTUFsDLBBE-doukXlPwfZB960tk3pQfvHodeUw1jcK6Aks20ey5-Bodi15JPVL-hVyk-N-QaRa8XIsGTJq5zeBR/s728-e3650/gaming.png)


A new attack campaign has targeted the gaming and gambling sectors since at least September 2022, just months prior to the [ICE London 2023](https://www.icelondon.uk.com/) gaming industry trade fair event that's scheduled next week.


Israeli cybersecurity company **Security Joes** is tracking the activity cluster under the name **Ice Breaker**, stating the intrusions employ clever social engineering tactics to deploy a JavaScript backdoor.


The attack sequence proceeds as follows: The threat actor poses as a customer while initiating a conversation with a support agent of a gaming website and urges the individual on the other end to open a screenshot image hosted on Dropbox.


Security Joes said that the threat actor is "well-aware of the fact that the customer service is human-operated."


Clicking the malicious link sent in the chat leads to the retrieval of an LNK payload or, alternatively, a VBScript file as a backup option, the former of which is configured to download and run an MSI package containing a Node.js implant.


The JavaScript file has all the features of a typical backdoor, enabling the threat actor to enumerate running processes, steal passwords and cookies, exfiltrate arbitrary files, take screenshots, run VBScript imported from a remote server, and even open a reverse proxy on the compromised host.


[![Gaming and Gambling Industry](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgO5k3C38EMTi1iD69XY_nTnKpOHoeW9NSR6sxtKBxnU8KAZKtr_dv5bug4Yyg1uY8mtMBbWaiWePFgMRUkkw4IES8o4bKaojEPcxR8iIJCk0L4iRh4P2eDFXwJWfm89K3iUb8v1DeS1RGv2_S7n8-Wb3u_oougV46RmoJtecTHvSAP3GksZlPdbKSM/s728-e365/hacking.png)
Should the VBS downloader be executed by the victim, the infection culminates in the deployment of [Houdini](https://malpedia.caad.fkie.fraunhofer.de/details/win.houdini), a VBS-based remote access trojan that dates back to 2013.

 The threat actors' origins are currently unknown, although they have been observed using broken English during their conversations with customer service agents. Some indicators of compromise (IoCs) associated with the campaign were [previously shared](https://twitter.com/malwrhunterteam/status/1576984214351724546) by the MalwareHunterTeam in October 2022.


"This is a highly effective attack vector for the gaming and gambling industry," Felipe Duarte, senior threat researcher at Security Joes, said.


"The never-seen-before compiled JavaScript second stage malware is highly complex to dissect, showing that we are dealing with a skilled threat actor with the potential of being sponsored by an interest owner."



  





## Tags:


### Autogenerated tags:
javascript
