# NetSupport RAT Infections on the Rise - Targeting Government and Business Sectors
## Education, government, and businesses are under attack by NetSupport RAT, a dangerous remote access trojan.
## Information:

+ Link: https://thehackernews.com/2023/11/netsupport-rat-infections-on-rise.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 20 November 2023, 20:49
+ Date scraped: 20 November 2023, 16:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgxQ-QZTyteozhL7HtkboFMAmOPM01FGWJfipmMPuaCnLPO8ehU68x_mdRkmQbE5C_YzhmtUA0QLJMHQyof0cCdNEpKSH4r3-sKHXqKiVZ2HhGorDd9Q8uhoj85KEhwLrQ8boZbLHzoRinNBrawT2lP2Z4RfvlGG95MaWWnIvl7__WsZnfqCBP4GkyaXkUw/s728-rw-ft-e30/trojan.jpg)


Threat actors are targeting the education, government and business services sectors with a remote access trojan called **NetSupport RAT**.


"The delivery mechanisms for the NetSupport RAT encompass fraudulent updates, drive-by downloads, utilization of malware loaders (such as [GHOSTPULSE](https://thehackernews.com/2023/10/hackers-using-msix-app-packages-to.html)), and various forms of phishing campaigns," VMware Carbon Black researchers said in a report shared with The Hacker News.


The cybersecurity firm said it detected no less than 15 new infections related to NetSupport RAT in the last few weeks.


While NetSupport Manager started off as a [legitimate remote administration tool](https://malpedia.caad.fkie.fraunhofer.de/details/win.netsupportmanager_rat) for technical assistance and support, malicious actors have misappropriated the tool to their own advantage, using it as a beachhead for subsequent attacks.


NetSupport RAT is typically downloaded onto a victim's computer via deceptive websites and fake browser updates.


In August 2022, Sucuri [detailed](https://thehackernews.com/2022/08/hackers-using-fake-ddos-protection.html) a campaign in which compromised WordPress sites were being used to display fraudulent Cloudflare DDoS protection pages that led to the distribution of NetSupport RAT.


[![NetSupport RAT](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgtOmzOL4APRUs69E-qnzd42pIoyQk06-7qW2fMy8fExpnlUKNt5CrEp6a8DNKkk-wQe5nCLI5v-mZbZ2_5A6OOmSXfX0Fgzfdk7YDQsN59Ib4p8S2NY4U8KopiIbair6GK5d989vISzOiBfzs8rRaACSQ44-_105RkGodMjU0HOZmMpRJ8pAIeyHB4WvqO/s728-rw-ft-e30/power.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgtOmzOL4APRUs69E-qnzd42pIoyQk06-7qW2fMy8fExpnlUKNt5CrEp6a8DNKkk-wQe5nCLI5v-mZbZ2_5A6OOmSXfX0Fgzfdk7YDQsN59Ib4p8S2NY4U8KopiIbair6GK5d989vISzOiBfzs8rRaACSQ44-_105RkGodMjU0HOZmMpRJ8pAIeyHB4WvqO/s728-rw-ft-e30/power.jpg)
The use of bogus web browser updates is a tactic often associated with the deployment of a JavaScript-based downloader malware known as SocGholish (aka FakeUpdates), which has also been observed propagating a [loader malware](https://thehackernews.com/2023/09/new-blister-malware-update-fuelling.html) codenamed [BLISTER](https://blog.fox-it.com/2023/11/01/popping-blisters-for-research-an-overview-of-past-payloads-and-exploring-recent-developments/).


The Javascript payload subsequently invokes PowerShell to connect to a remote server and retrieve a ZIP archive file containing NetSupport RAT that, upon installation, beacons out to a command-and-control (C2) server.


"Once installed on a victim's device, NetSupport is able to monitor behavior, transfer files, manipulate computer settings, and move to other devices within the network," the researchers said.

 
  





## Tags:


### Autogenerated tags:
netsupport malware
