# Information security gets personal: How to protect yourself and your stuff
## Recapping our Ars Frontiers talk with a half-dozen information security experts.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/05/redefining-privacy-and-personal-security-in-a-changing-infosec-world/
+ Source: Ars Technica
+ Author: Lee Hutchinson
+ Date published: 27 May 2022, 17:23
+ Date scraped: 27 May 2022, 18:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/05/GettyImages-495421971-760x380.jpg)







To view this video please enable JavaScript, and consider upgrading to a web browser that [supports HTML5 video](http://videojs.com/html5-video-support/)

















































WATCH
Redefining Privacy in a Transparent World













 Share
 







 Tweet
 







 Email
 


 More...
 




























#### EMBED URL

<script async src="//player-backend.cnevids.com/script/video/6290f89cc148f258fcb5c9ec.js?iu=/3379/ars.dart/share"></script>#### VIDEO URL

https://www.arstechnica.com/video/watch/redefining-privacy-in-a-transparent-world

![]()
#### The live event has ended. Please check back again soon for the recorded video.


LIVEVIDEO TO BEGIN AFTER ADLoaded: 0%Progress: 0%





























 Use up and down arrows to change volume, and spacebar or enter to toggle mute.
MuteVolume 100%




















 
Back

### Caption Options








Close Settings
Video Quality
* Auto
* 4k tabindex="0" aria-checked="false" value="4k">
 
 21604k
* hd tabindex="0" aria-checked="false" value="1080">
 
 1080HD
* 720
* 360

Language
* English



Font Size
* Small
* Medium
* Large


Position
* Auto
* Bottom
* Top
Sample Caption Text

Current Time 0:00Duration 28:36Remaining Time -28:36










[## Redefining Privacy in a Transparent World](https://www.arstechnica.com/video/watch/redefining-privacy-in-a-transparent-world)





 .video-js:hover .vjs-big-play-button svg rect {
 fill: #fa501e;
 }
Redefining privacy at Ars Frontiers. [Click here for transcript](https://cdn.arstechnica.net/wp-content/uploads/2022/05/Redefining-Privacy-in-a-Transparent-World.pdf).


This is a session recap from Ars Frontiers 2022, our first in-person event about technology and innovation in our changing world. To see more session recaps and catch up on all of the conversations, [click here](https://arstechnica.com/tag/ars-frontiers/).
At the [Ars Frontiers](https://frontiers.arstechnica.com) event in Washington, DC, I had the privilege of moderating two panels on two closely linked topics: digital privacy and information security. Despite significant attempts to improve things, conflicting priorities and inadequate policy have weakened both privacy and security. Some of the same fundamental issues underly the weaknesses in both: Digital privacy and information security are still too demanding for average people to manage, let alone master.


Our privacy panel consisted of Electronic Frontier Foundation deputy executive Kurt Opsahl, security researcher Runa Sandvik, and ACLU Senior Policy Analyst Jay Stanley. Individuals trying to protect their digital privacy face "a constant arms race between what the companies are trying to do, or doing because they can, versus then what people are saying that they either like or don't like," Sandvik explained.


The panelists pointed out the gap in how privacy is treated in the US compared to Europe and elsewhere. "In a lot of places, privacy is considered to be a human right," Opsahl said, "not a transactional concept that you pay with things for your privacy." According to Opsahl, the transactional nature of how privacy is treated in the US "risks commodifying an essential part of who you are and what your being is."


Stanley described the US as "among the most wild, Wild West countries in the world" regarding privacy. "We're the only major country that doesn't have an overarching privacy law," he said. "That matters a lot... if you don't have a national standard [for privacy], then there's not stability of expectations."


To view this video please enable JavaScript, and consider upgrading to a web browser that [supports HTML5 video](http://videojs.com/html5-video-support/)

















































WATCH
Making Information Security Personal













 Share
 







 Tweet
 







 Email
 


 More...
 




























#### EMBED URL

<script async src="//player-backend.cnevids.com/script/video/6290ddafd5665349c02ee8a9.js?iu=/3379/ars.dart/share"></script>#### VIDEO URL

https://www.arstechnica.com/video/watch/making-information-security-personal

![]()
#### The live event has ended. Please check back again soon for the recorded video.


LIVEVIDEO TO BEGIN AFTER ADLoaded: 0%Progress: 0%





























 Use up and down arrows to change volume, and spacebar or enter to toggle mute.
MuteVolume 100%




















 
Back

### Caption Options








Close Settings
Video Quality
* Auto
* 4k tabindex="0" aria-checked="false" value="4k">
 
 21604k
* hd tabindex="0" aria-checked="false" value="1080">
 
 1080HD
* 720
* 360

Language
* English



Font Size
* Small
* Medium
* Large


Position
* Auto
* Bottom
* Top
Sample Caption Text

Current Time 0:00Duration 27:38Remaining Time -27:38










[## Making Information Security Personal](https://www.arstechnica.com/video/watch/making-information-security-personal)





 .video-js:hover .vjs-big-play-button svg rect {
 fill: #fa501e;
 }
Making information security personal at Ars Frontiers. [Click here for transcript](https://cdn.arstechnica.net/wp-content/uploads/2022/05/Making-Information-Security-Personal.pdf).


On the other hand, one of the problems of information security is that expectations have been *too* stable. In our infosec panel, Cisco's Wendy Nather, security researcher Vineetha Paruchuri, and Scythe VP of Operations Elizabeth Wharton talked about the fundamental structural problems in how we approach information security, how software is made, and who gets entry into the information security field.


Nather—head of the advisory chief information security officer team at Cisco—noted that while technology has become more and more democratized, the way we think of information security is still stuck in the top-down world. "Security should be manageable and understandable by everybody in the context of what they're doing," Nather said.


Nather, Paruchuri, and Wharton all dove into the fundamental problems with how security policies are crafted and how software is developed. "Today we don't have a manufacturing model of software development," Wharton said. "We have a literary model where everybody is doing their own artistic thing." Paruchuri hit on the importance of what gets labeled as "soft skills" in information security that are often given short shrift by information security managers.


And all three panelists discussed the otherwise rational business decisions that often lead to information security disasters simply because of how difficult doing proper information security has become. "There are multiple ways which we could make it easier," Paruchuri noted, including using technology to simplify human choices affecting information security.


*Listing image by iStock / Getty Images Plus*














## Tags:
***urls***: https://www.arstechnica.com/video/watch/redefining-privacy-in-a-transparent-world https://www.arstechnica.com/video/watch/making-information-security-personal

### Autogenerated tags:
4k tabindex= aria-checked= value= paruchuri opsahl wharton
