# Europol warns 443 online shops infected with credit card stealers
## Europol has notified over 400 websites that their online shops have been hacked with malicious scripts that steal debit and credit cards from customers making purchases.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/europol-warns-443-online-shops-infected-with-credit-card-stealers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 December 2023, 09:50
+ Date scraped: 22 December 2023, 15:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/22/credit-cards.jpg)



Europol has notified over 400 websites that their online shops have been hacked with malicious scripts that steal debit and credit cards from customers making purchases.


Skimmers are small snippets of JavaScript code added to checkout pages or loaded from a remote resource to evade detection. They are designed to intercept and steal payment card numbers, expiration dates, verification numbers, names, and shipping addresses and then upload the information to the attackers' servers.


Threat actors use the stolen data to perform unauthorized transactions, such as online purchases, or [resell them](https://www.bleepingcomputer.com/news/security/bidencash-darkweb-market-gives-19-million-credit-cards-for-free/) to other cybercriminals on dark web marketplaces.


These attacks can go undetected for weeks or even several months, and depending on the popularity of the breached e-commerce platforms, cybercriminals can collect large numbers of payment card details.


Coordinated by Europol and spearheaded by Greece, a two-month international operation involving law enforcement from 17 countries and private entities such as Group-IB and Sansec identified skimmer infections on 443 websites.


"With the support of national Computer Security Incident Response Teams (CSIRT), the two-month action has enabled Europol and its partners to notify 443 online merchants that their customers' credit card or payment card data had been compromised," explained [Europol](https://www.europol.europa.eu/media-press/newsroom/news/action-against-digital-skimming-reveals-443-compromised-online-merchants).


Additional details shared by [Group-IB](https://www.group-ib.com/media-center/press-releases/digital-skimming-action/) reveal that the operation unearthed 23 distinct families of JavaScript sniffers, including ATMZOW, health\_check, FirstKiss, FakeGA, AngryBeaver, Inter, and R3nin.


The above families are known for elusive behavior, such as abusing Google Tag Manager to update their malicious code snippets and mimicking Google Analytics code to dodge detection during website code inspections.


For more information on the threat of digital skimming, online merchants are recommended to [consult this guide](https://www.europol.europa.eu/operations-services-and-innovation/public-awareness-and-prevention-guides/digital-skimming) from Europol.


This action comes at a critical moment as online shopping activity spikes during the holiday season.


Using digital payment methods or one-time private cards can help minimize the likelihood of having payment card details stolen.


It is also advisable to scrutinize credit card statements for unauthorized charges, which can help alert if a card has been compromised.





## Tags:


### Autogenerated tags:
europol
