# Malicious npm packages steal Discord users’ payment card info
## Multiple npm packages are being used in an ongoing malicious campaign dubbed LofyLife to infect Discord users with malware that steals their payment card information.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/malicious-npm-packages-steal-discord-users-payment-card-info/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 July 2022, 14:13
+ Date scraped: 28 July 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/05/discord-header-l.jpg)



Multiple npm packages are being used in an ongoing malicious campaign dubbed LofyLife to infect Discord users with malware that steals their payment card information.


The malware used in these attacks is a variant of the open-source and Python-based Volt Stealer token logger, according to Kaspersky security researchers Igor Kuznetsov and Leonid Bezvershenko.


"On July 26, using the internal automated system for monitoring open-source repositories, we identified four suspicious packages in the Node Package Manager (npm) repository," the researchers said.


"All these packages contained highly obfuscated malicious Python and JavaScript code. We dubbed this malicious campaign 'LofyLife'."


The malware is automatically deployed after installing the *small-sm*, *pern-valids*, *lifeculer*, or *proc-title* malicious npm modules.


Once installed, it collects Discord tokens and system information, including the victims' IP addresses.


## Monitors Discord users to steal their data


It works by monitoring the victims' actions, such as Discord logins, attempts to change the credentials, multi-factor authentication (MFA) toggles, or the addition of new payment methods to steal Discord accounts and complete payment information.


Once harvested, this data is uploaded to one of several Replit-hosted instances whose addresses are hard-coded within the malware (e.g., life.polarlabs.repl[.]co, sock.polarlabs.repl[.]co, idk.polarlabs.repl[.]co).


Kaspersky added that they're still monitoring updates to npm repositories to ensure that all new malicious packages pushing this info stealer are detected and removed.


This is [a recurring theme](https://www.bleepingcomputer.com/news/security/malicious-npm-project-steals-discord-accounts-browser-info/) among malicious npm packages, and it's just one of a seemingly endless stream of malware specifically tailored to target Discord users in recent years with information stealers.


For instance, in 2019, [malware dubbed Spidey Bot](https://www.bleepingcomputer.com/news/security/discord-turned-into-an-info-stealing-backdoor-by-new-malware/) was used to modify the Windows Discord client to backdoor it and deploy an information-stealing trojan.


Malicious npm and PyPI libraries were also used to target Discord users, steal their [user tokens](https://www.bleepingcomputer.com/news/security/open-source-package-analysis-tool-finds-malicious-npm-pypi-packages/) and [browser information](https://www.bleepingcomputer.com/news/security/malicious-npm-project-steals-discord-accounts-browser-info/), and install [MBRLocker data wiping malware](https://www.bleepingcomputer.com/news/security/malicious-npm-libraries-install-ransomware-password-stealer/) calling itself Monster Ransomware.





## Tags:
***urls***: http://life.polarlabs.repl.co http://idk.polarlabs.repl.co http://sock.polarlabs.repl.co

### Autogenerated tags:
malware npm
