# Microsoft Edge gets better security defaults on less popular sites
## Microsoft is rolling out a new update to the Microsoft Edge Stable Channel over the coming days to improve the web browser's security defaults when visiting less popular websites.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-gets-better-security-defaults-on-less-popular-sites/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 06 August 2022, 15:12
+ Date scraped: 06 August 2022, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/01/Microsoft-Edge.jpg)



Microsoft is rolling out a new update to the Microsoft Edge Stable Channel over the coming days to improve the web browser's security defaults when visiting less popular websites.


Starting with version 104.0.1293.47, Edge will toggle on the "Basic" level of security when the "Enhance your security on the web" optional browsing mode is enabled in settings.


When this mode is toggled on, it provides an additional layer of protection against memory-related vulnerabilities by disabling just-in-time (JIT) JavaScript compilation and enabling extra OS protections when browsing the web and unfamiliar sites.


After updating to the latest stable version, the "Basic" level will be enabled by default to only apply mitigations to sites you visit less frequently.


"Improvements to Enhance your security on the web in edge://settings/privacy now include Basic as the new default option," Microsoft explains.


"With this option, Microsoft Edge will apply added security protection to the less visited sites. This feature preserves the user experience for the most popular sites on the web."



![Edge - Enhance your security on the web](https://www.bleepstatic.com/images/news/u/1109292/2022/Edge_Enhance%20your%20security%20on%20the%20web.png)*Enhance your security on the web dialog (BleepingComputer)*


In this new stable version, Microsoft will also allow you to import data from Google Chrome during First Run Experience without having the web browser installed on your device.


"This feature lets a user bring in their Chrome data by logging in to their Google account during Microsoft Edge's First Run Experience," Microsoft [says](http://docs.microsoft.com/en-us/deployedge/microsoft-edge-relnote-stable-channel#version-1040129347-august-5).


"This feature can be turned off by disabling First Run Experience with the HideFirstRunExperience policy, or by setting AutoImportAtFirstRun to 'DisabledAutoImport'."


New policies are also available, enabling you to import data from other web browsers on each launch and configure Edge to ask for confirmation before closing windows with multiple tabs.


Last week, Microsoft also [announced](https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-now-improves-performance-by-compressing-disk-cache/) that Microsoft Edge users would notice improved performance on systems with low disk space due to added support for automatic disk cache compression and a smaller disk footprint.





## Tags:


### Autogenerated tags:
microsoft
