# Microsoft Teams now boasts 30% faster chat, channel switches
## Microsoft has significantly reduced latency for Windows and Mac users of the Teams desktop client in some critical scenarios when interacting with the application.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-teams-now-boasts-30-percent-faster-chat-channel-switches/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 November 2022, 21:33
+ Date scraped: 06 November 2022, 14:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/27/Microsoft--Teams.jpg)



Microsoft has significantly reduced latency for Windows and Mac users of the Teams desktop client in some critical scenarios when interacting with the application.


Jeff Chen, a Microsoft Principal Group Program Manager for Microsoft Teams, said today that the app is now more than 30% faster when switching between chat and channel threads.


Chen said these drastic performance improvements result from the upgraded Teams framework, which now renders the HTML tree faster, and runs JavaScript and serializes arrays more efficiently.


"The most common action for a user in Teams is to switch between different chats, channels, and activity feeds," Chen explained on Tuesday.


"Over the past two years, switching between chat threads is now 32% faster, switching between channels is 39% faster. This leads to a more fluid experience that will keep you in the flow."


Redmond has also worked on other ways to optimize Microsoft Teams' performance, including improved meeting responsiveness and joining times.


"We are excited to share that the framework upgrade improved the join time by 21%, and responsiveness during meetings has improved. For example, the latency of raising your hand has improved by 16%," Chen added.



![Microsoft Teams faster thread switching](https://www.bleepstatic.com/images/news/u/1109292/2022/Microsoft_Teams_improved_%20thread_switching_performance.png)*Microsoft Teams faster thread switching (Microsoft)*


In June, Microsoft also revealed [improved latency and page load times](https://techcommunity.microsoft.com/t5/microsoft-teams-blog/performance-enhancements-to-microsoft-teams-lead-to-faster/ba-p/3460419) for messaging (scrolls over chat and channel lists improved by more than 11%) and 63% faster message-composing box loads.


The company added in February that Teams comes with [drastically reduced power requirements in meetings](https://www.bleepingcomputer.com/news/microsoft/microsoft-teams-now-needs-50-percent-less-power-during-meetings/), using up to 50% less power during energy-intensive scenarios in video meetings between more than 10 participants.


Redmond has been working on lowering Teams power requirements since June 2020, and it has rolled out improvements in stages:


* October 2020: hardware and video capture and optimization (by reducing CPU loads when using video cameras)
* February 2021: consolidating multiple screen elements for a single render process (improvements in processing multiple video streams in conference calls)
* June 2021: Direct video render (render video directly on the screen instead of the web layer)
* November 2021: render optimization with GPU (improvements in graphics card usage for video rendering)
* December 2021: preview render improvements (optimization of rendering video previews video calls)

Microsoft Teams has seen a massive influx of new users since the start of the COVID-19 pandemic and the move to remote working, reaching [270 million monthly active users](https://twitter.com/fxshaw/status/1486107743320612867) in January 2021.





## Tags:


### Autogenerated tags:
teams microsoft
