# InAppBrowser - Online Tool to Check App's Browser is a Privacy Risk
## On most mobile phones, once the hyperlink is clicked, the app that was used to open the hyperlink on the phone will ask the phone user which browser they would like to use to browse the web. In spite of this, no such request is made by popular social network applications.
## Information:

+ Link: https://cybersecuritynews.com/?p=10184
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 22 August 2022, 10:08
+ Date scraped: 22 August 2022, 11:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiNr18O5rsS4YPp6d4adnl6ZltY9TlUNjQ60k-xRmQfUoGq5LRKKm-9GpnASSVvBLRDpwp9biQoLdCagm76h9JEFlhPIqFgE0NYyUEZ7_xoRLT4bvtuNFgD9QCcz71yY76wW_in4Ua0ALYxHIZBwirOYpQTuZ8egMhpCuCQmAUj2kknnQbrOiND3UlqbQ/s16000/InAppBrowser%20-%20A%20New%20Online%20Tool%20to%20Check%20Mobile%20Apps%20Browser%20is%20a%20Privacy%20Risk.png)

The recent discovery of JavaScript injection into websites that are visited using popular mobile applications that include integrated browsers has raised serious concerns.

Code injection techniques are commonly used on popular social media platforms such as [Facebook](https://cybersecuritynews.com/facebooks-in-app-browser/), Instagram, and TikTok. They do this mainly in order to track all the actions that users make on any website that is displayed in the web browser that is included within the app itself.

A website called InAppBrowser was [created](https://krausefx.com/blog/announcing-inappbrowsercom-see-what-javascript-commands-get-executed-in-an-in-app-browser) by Felix Krause as a way to reveal to the user which browsers are injecting code into their applications.

 

While the built-in web browser on the mobile phone does track the activities of a user, it does not monitor everything a user does.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://www.perimeter81.com/lp/ztna-vs-vpn?a_aid=2428&a_bid=1682633c&chan=code33&data1=csn)Only the pages that are accessed from within the social media apps are monitored by the app; no other sites are monitored. The solution to avoiding tracking is to use a browser that offers more security.

On most mobile phones, once the hyperlink is clicked, the app that was used to open the hyperlink on the phone will ask the phone user which browser they would like to use to browse the web. In spite of this, no such request is made by popular social network applications.

## **How to use InAppBrowser?**

Here below, we have mentioned the guide to using InAppBrowser:-

* You should open the application that you wish to analyze.
* In order to obtain the link https://InAppBrowser.com in the app, please use the share functionality within the application.
* Open the link that you just shared with someone or that has just been posted on social media.
* Take a look at the report that is displayed on the screen.
* That’s it.

In accordance with the website, the following information is revealed:-

* By adding CSS code to the app, the appearance of the website can be customized according to your preferences.
* This web application monitors all taps that take place on websites.
* Ensures that every keyboard input on the website is being monitored.
* Obtains the title of the website.
* It is possible to track which elements the user clicks on by using information about each element that is based on coordinates.

Despite Krause’s assurances, all JavaScript commands are not detected on the site, and not all code injections are detected. Furthermore, it is not capable of detecting native code, which may also be used by apps.




## Tags:
***urls***: https://InAppBrowser.com

### Autogenerated tags:
website
