# Russia-linked APT28 hacked Roundcube email servers of Ukrainian entities
## Russia-linked APT28 group hacked into Roundcube email servers belonging to multiple Ukrainian organizations. A joint investigation conducted by Ukraine’s Computer Emergency Response Team (CERT-UA) and Recorded Future revealed that the Russia-linked APT28 group hacked into Roundcube email servers belonging to multiple Ukrainian organizations. The APT28 group (aka Fancy Bear, Pawn Storm, Sofacy Group, Sednit, BlueDelta, and STRONTIUM) has been active since at least 2007 […]
## Information:

+ Link: https://securityaffairs.com/147681/apt/apt28-hacked-roundcube-ukraine.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 June 2023, 19:19
+ Date scraped: 21 June 2023, 21:04

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-43.png?resize=300%2C300&ssl=1)


## Russia-linked APT28 group hacked into Roundcube email servers belonging to multiple Ukrainian organizations.


A joint investigation conducted by Ukraine’s Computer Emergency Response Team (CERT-UA) and Recorded Future revealed that the Russia-linked [APT28](https://securityaffairs.com/145500/apt/spear-phishing-campaign-apt28.html) group hacked into Roundcube email servers belonging to multiple Ukrainian organizations. 


The [APT28](https://securityaffairs.co/wordpress/76922/intelligence/apt28-back-espionage.html) group (aka [Fancy Bear](https://securityaffairs.co/wordpress/72072/intelligence/fancy-bear-abuses-lojack.html), [Pawn Storm](https://securityaffairs.co/wordpress/53360/cyber-crime/pawn-storm-apt-0days.html), [Sofacy Group](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), [Sednit](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), BlueDelta, and [STRONTIUM](https://securityaffairs.co/wordpress/74582/intelligence/microsoft-russia-attacks.html)) has been active since at least 2007 and it has targeted governments, militaries, and security organizations worldwide. The group was involved also in the string of attacks that targeted [2016 Presidential election](https://securityaffairs.co/wordpress/74434/hacking/russian-intelligence-indictment.html).


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right;max-height:20px}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

The group operates out of military unity 26165 of the Russian General Staff Main Intelligence Directorate (GRU) 85th Main Special Service Center (GTsSS).


[Most of the APT28s’ campaigns](https://securityaffairs.co/123104/apt/apt28-gmail-users-attacks.html) leveraged spear-phishing and malware-based attacks. 


In the recent campaign, the threat actors used news about the ongoing conflict between Russia and Ukraine as bait. The cyber spies sent crafted emails to the target organizations, upon opening the messages Roundcube Webmail vulnerabilities ([CVE-2020-35730](https://nvd.nist.gov/vuln/detail/CVE-2020-35730), [CVE-2020-12641](https://nvd.nist.gov/vuln/detail/CVE-2020-12641), and [CVE-2021-44026](https://nvd.nist.gov/vuln/detail/CVE-2021-44026)) were triggered allowing them to hack vulnerable servers.


*“during the investigation of the contents of the mailbox of the computer user, an e-mail with the subject “News of Ukraine” was discovered, received on 12.05.2023 from the address “ukraine\_news@meta[.]ua”, which contained bait content in the form of an article from the publication “NV” (nv.ua), as well as an exploit for the vulnerability in Roundcube CVE-2020-35730 (XSS) and the corresponding JavaScript code designed to load and run additional JavaScript files: “q.js” and “e.js”.” reads the [**report**](https://cert.gov.ua/article/4905829) published by CERT-UA. “Among the mentioned files, “e.js” provides the creation of a “default filter” filter for redirecting incoming e-mails to a third-party e-mail address, and also performs exfiltration using HTTP POST requests: address book, session values ​​(Cookie) and victim’s e-mail messages.”*


[![APT28 Ukraine](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-43.png?resize=1024%2C596&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-43.png?ssl=1)BlueDelta Outlook and Roundcube spearphishing infection chain overlap (source Iksikt)


The state-sponsored hackers were able to deploy scripts to redirect the incoming emails to an email address under their control and steal Roundcube data by exploiting an SQLi issue tracked as CVE-2021-44026.


One of the scripts, the “c.js”, was containing an exploit for the CVE-2020-12641 vulnerability.


According to CERT-UA, this campaign targeted more than 40 Ukrainian organizations, including government entities.


The Recorded Future’s Insikt Group believes that the campaign has been active since November 2021. 


*“Based on the targeting and geopolitical backdrop and the group’s organizational links, the highlighted BlueDelta activity was likely intended to enable military intelligence-gathering to support Russia’s invasion of Ukraine. Infrastructure related to BlueDelta activity has likely been operational since at least November 2021.” [states](https://www.recordedfuture.com/bluedelta-exploits-ukrainian-government-roundcube-mail-servers) Recorded Future. “This infrastructure was identified by Insikt Group via Recorded Future® Malicious Traffic Analysis (MTA) which surfaced multiple Ukrainian entities, including government institutions, communicating with this BlueDelta infrastructure. Organizations within Ukraine are likely the primary targets of this activity.”*


According to Recorded Future researchers, this campaign overlaps with previous APT28 attacks exploiting Microsoft Outlook zero-day tracked as [CVE-2023-23397](https://securityaffairs.com/143486/security/microsoft-patch-tuesday-march-2023.html) and aimed at European organizations.


Both reports from CERT-UA and Insikt includes Indicators of Compromise (IoCs) for this campaign.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **APT28**)




  


---


  




## Tags:
***CVE's***: CVE-2020-35730 CVE-2023-23397 CVE-2021-44026 CVE-2020-12641
***email-adresses***: ukraine_news@meta.ua
***urls***: http://meta.ua

### Autogenerated tags:
roundcube apt28 bluedelta cert-ua e-mail insikt
