# Police Warn Hundreds of Online Merchants of Skimmer Infections
## Law enforcement authorities in 17 countries discovered more than 400 online merchants infected with skimmers.
## Information:

+ Link: https://www.securityweek.com/police-warn-hundreds-of-online-merchants-of-skimmer-infections/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 27 December 2023, 12:40
+ Date scraped: 27 December 2023, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**More than 400 online merchants were notified of digital skimmer infections in a coordinated international operation, Europol announced.**


Law enforcement agencies in 17 countries participated in this effort to identify infected ecommerce sites and alert businesses that their customers’ credit card information has been compromised.

The recent operation against online fraud, led by Greece, also resulted in two dozen new digital skimmers being identified.

Also known as JavaScript-sniffers or JS-sniffers, these skimmers are the malware families that cybercriminals inject into legitimate websites to steal personal and card information.

According to Group-IB, the threat intelligence firm that supported Europol and participating law enforcement agencies in this operation, there are 132 digital skimmer families known to date.

Some of the skimmers identified in this operation include AngryBeaver, ATMZOW, FirstKiss, FakeGA, health\_check, Inter, and R3nin.

“Digital skimming, which has grown in scale, impact, and sophistication over recent years, involves the illicit practice of extracting credit card or payment card details from customers making online purchases from websites that have been infected with JS-sniffers,” Group-IB notes.

Both Europol and Group-IB warn that digital skimming may go unnoticed for a long time, and that the stolen payment card data is typically sold to other cybercriminals or used to perform various types of fraud.


Cybercriminals also use illicit services that allow them to check the validity of the stolen credit card data before using it fraudulently. Earlier this year, authorities in the [US charged a Russian national](https://www.securityweek.com/us-announces-takedown-of-card-checking-service-charges-against-russian-operator/) for operating such a service, which is estimated to have been used to check millions of cards yearly.


**Related:** [See Tickets Alerts 300,000 Customers After Another Web Skimmer Attack](https://www.securityweek.com/see-tickets-alerts-300000-customers-after-another-web-skimmer-attack/)


**Related:** [Underground Carding Marketplace Joker’s Stash Announces Shutdown](https://www.securityweek.com/underground-carding-marketplace-jokers-stash-announces-shutdown/)


**Related:** [Website of Canadian Liquor Distributor LCBO Infected With Web Skimmer](https://www.securityweek.com/website-of-canadian-liquor-distributor-lcbo-infected-with-web-skimmer/)





## Tags:


### Autogenerated tags:
europol cybercriminals group-ib
