# Web Application Security Startup Feroot Banks $11 Million in Seed Funding
## Feroot Security, a provider of website and web application protection, announced that it has received more than $11 million in seed funding.
## Information:

+ Link: https://www.securityweek.com/web-application-security-startup-feroot-banks-11-million-seed-funding
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 28 February 2022, 13:00
+ Date scraped: 28 February 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Founded in 2017, the Toronto-based [Feroot](https://www.feroot.com/) offers client-side security solutions designed to keep applications and data safe from cross-site scripting (XSS) and formjacking attacks, skimmers, and other types of JavaScript threats.


The company delivers monitoring capabilities, with its Feroot Security Inspector, and the ability to add permissions and controls to JavaScript code, with Feroot Security PageGuard.


Ferrot’s solutions are designed to help organizations gain visibility into their client-side attack surface and automate JavaScript security processes, while also offering real-time response capabilities, the company says.


**[ READ: [Bot Detection Firm Netacea Closes $12 Million Funding Round](https://www.securityweek.com/bot-detection-firm-netacea-closes-12-million-funding-round) ]**


Feroot claims its solutions are suitable for application developers and security and privacy professionals looking to build secure JavaScript applications, ensure compliance, and prevent client-side cyberattacks.


With an increase in cyber incidents targeting client-side web applications, Feroot believes the market for technologies that can protect against JavaScript threats will expand.


The company plans to use the funding to accelerate product development and go-to-market strategies, to ensure it can meet growing customer demand.


In July 2021, Feroot announced raising $2.9 million in seed funding. Led by True Ventures, the new funding rounds up the company’s seed investment to more than $11 million.


“A shocking 98% of websites use forms to collect personal and financial data from customers. Threat actors are starting to gain higher ROI from attacking unprotected client-side applications as compared to traditional server-side attacks,” Ivan Tsarynny, Feroot co-founder and CEO, said.






 


## Tags:


### Autogenerated tags:
feroot client-side javascript
