# Android and Chrome Users Can Soon Generate Virtual Credit Cards to Protect Real Ones
## Google will soon allow users to generate virtual credit cards when making online payments via the Chrome browser and Android.
## Information:

+ Link: https://thehackernews.com/2022/05/blog-post.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 May 2022, 08:35
+ Date scraped: 12 May 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjjEaLGDwaOvIkrLGXmpvV5ppmZHs7hB7goE31vxo05h_q26pziIDOx7vbjSSCLwwn6VEa9SZ-roJXhs01OjFE071FuKVTFXBNpmxUvC7bvABzfIrtzNrrPdZnESX4B44M59OEPKj81YAb8kiJzMMPfJzqiDGBo8eCZg9ntUHuFmwDo45QUqo48dkiJ/s728-e100/google-virtual-credit-card.gif)


Google on Wednesday took to its annual developer conference to announce a host of privacy and security updates, including support for virtual credit cards on Android and Chrome.


"When you use autofill to enter your payment details at checkout, virtual cards will add an additional layer of security by replacing your actual card number with a distinct, virtual number," Google's Jen Fitzpatrick [said](https://blog.google/technology/safety-security/how-we-make-every-day-safer-with-google/) in a statement.


The goal, the search giant, said to keep payment information safe and secure during online shopping and protect users from [skimming attacks](https://thehackernews.com/2021/07/magecart-hackers-hide-stolen-credit.html) wherein threat actors inject malicious JavaScript code to plunder credit card numbers and sell them on the black market.


The feature is expected to roll out in the U.S. for Visa, American Express, Mastercard, and Capital One cards starting this summer.


Interestingly, while Apple offers an option to mask email addresses via [Hide My Email](https://thehackernews.com/2021/06/top-10-privacy-and-security-features.html), which enables users to create unique, random email addresses to use with apps and websites, it's yet to offer a similar option for creating virtual credit cards.


The development comes a week after Google, Apple, and Microsoft banded together to accelerate support for a [common passwordless sign-in standard](https://thehackernews.com/2022/05/google-to-add-passwordless.html) that allows "websites and apps to offer consistent, secure, and easy passwordless sign-ins to consumers across devices and platforms."


Additionally, Google said it's expanding [phishing protections](https://workspaceupdates.googleblog.com/2022/04/warning-banners-for-suspicious-docs-sheets-slides-files.html) in Google Workspace to Docs, Slides and Sheets, and that it plans to debut a new "My Ad Center" later this year to give users more control over personalized ads on YouTube, Search, and Discover feed.


What's more, users would be able to request personally identifiable information such as email, phone number, or home address to be [removed from search results](https://blog.google/products/search/a-new-search-tool-to-help-control-your-online-presence/) through a new tool that will be accessible from the Google App.


Also coming is a new Account Safety Status setting that will "feature a simple yellow alert icon on your profile picture that will flag actions you should take to secure your account."


Other key privacy and security features [unveiled](https://blog.google/technology/developers/io-2022-100-things/) at Google I/O 2022 include support for end-to-end encryption for group conversations in the Messages app for Android and the availability of on-device encryption for Google Password Manager.


  





## Tags:


### Autogenerated tags:
google
