# Experts Find Malicious Cookie Stuffing Chrome Extensions Used by 1.4 Million Users
## Researchers uncover malicious Chrome browser extensions with a total install base of over 1,400,000 that are masquerading as Netflix viewers.
## Information:

+ Link: https://thehackernews.com/2022/08/experts-find-malicious-cookie-stuffing.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 31 August 2022, 10:45
+ Date scraped: 31 August 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg0sSqXqjmS4LLy6me5hOQBynHfyj-jzbHFsCfRu_ckHwBouLwU7PbW1NAZSmapD1C-QO0ct75Y8O1GXU6hFwXETIyujU-xAoySvPJmRF9pFiot0CEj7GCH9ZQevo7R1ntyGNzWZg7Hbu8ngSK4ro3IcpD0PNyrSUXpoCvky8a333gnX6XB3hYeUbhm/s728-e100/chrome.jpg)


Five imposter extensions for the Google Chrome web browser masquerading as Netflix viewers and others have been found to track users' browsing activity and profit of retail affiliate programs.


"The extensions offer various functions such as enabling users to watch Netflix shows together, website coupons, and taking screenshots of a website," McAfee researchers Oliver Devane and Vallabh Chole [said](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/malicious-cookie-stuffing-chrome-extensions-with-1-4-million-users/). "The latter borrows several phrases from another popular extension called GoFullPage."


The browser add-ons in question – available via the Chrome Web Store and downloaded 1.4 million times – are as follows -


* Netflix Party (mmnbenehknklpbendgmgngeaignppnbe) - 800,000 downloads
* Netflix Party (flijfnhifgdcbhglkneplegafminjnhn) - 300,000 downloads
* FlipShope – Price Tracker Extension (adikhbfjdbjkhelbdnffogkobkekkkej) - 80,000 downloads
* Full Page Screenshot Capture – Screenshotting (pojgkmkfincpdkdgjepkmdekcahmckjp) - 200,000 downloads
* AutoBuy Flash Sales (gbnahglfafmhaehbdmjedfhdmimjcbed) - 20,000 downloads


The extensions are designed to load a piece of JavaScript that's responsible for keeping tabs on the websites visited and inject malicious code into e-commerce portals, letting the attackers make money through affiliate programs for purchases made by the victims.



"Every website visited is sent to servers owned by the extension creator," the researchers noted. "They do this so that they can insert code into eCommerce websites being visited. This action modifies the cookies on the site so that the extension authors receive affiliate payment for any items purchased."


Also incorporated is a technique that delays the malicious activity by 15 days from the time of installation of the extension to avoid raising red flags.


The findings follow the discovery of [13 Chrome browser extensions](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/imposter-netflix-chrome-extension-dupes-100k-users/) in March 2022 that were caught redirecting users in the U.S., Europe, and India to phishing sites and exfiltrate sensitive information.


As of writing, three of the four extensions are still available on the web store, with Netflix Party (mmnbenehknklpbendgmgngeaignppnbe) being the only add-on to be purged. Users of the installed extensions are recommended to manually remove them from their Chrome browser to mitigate further risks.


  





## Tags:


### Autogenerated tags:
netflix website
