# MULTI#STORM Campaign Targets India and U.S. with Remote Access Trojans
## A new phishing campaign named MULTI#STORM targets India and the U.S., using JavaScript files to deploy remote access trojans on compromised systems.
## Information:

+ Link: https://thehackernews.com/2023/06/multistorm-campaign-targets-india-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 22 June 2023, 22:28
+ Date scraped: 22 June 2023, 17:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjcbzJjjUydSSsFwLhn8J_FBOwb2rShTJ9u9L3O68jcLeqqboDAZoWxCgpm2Yz2GJCO23QQTYdEzi0X-VMlnJgAzudcTwDBGHhg6FSKGISfWNtTpCepZSW2bSH9ZlEd-aJjEmH0K8JFU2MXMVjDucMSquUd3sKlC5exxd1i03JsRSzKquMdSxtQ_Q2h6cA/s728-e3650/rat.jpg)


A new phishing campaign codenamed **MULTI#STORM** has set its sights on India and the U.S. by leveraging JavaScript files to deliver remote access trojans on compromised systems.


"The attack chain ends with the victim machine infected with multiple unique RAT (remote access trojan) malware instances, such as Warzone RAT and Quasar RAT," Securonix researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov [said](https://www.securonix.com/securonix-threat-labs-security-advisory-multistorm-leverages-python-based-loader-as-onedrive-utilities-to-drop-rat-payloads/).


"Both are used for command-and-control during different stages of the infection chain."


The multi-stage attack chain commences when an email recipient clicks the embedded link pointing to a password-protected ZIP file ("REQUEST.zip") hosted on Microsoft OneDrive with the password "12345."


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
Extracting the archive file reveals a heavily obfuscated JavaScript file ("REQUEST.js") that, when double clicked, activates the infection by executing two PowerShell commands that are responsible for retrieving two separate payloads from OneDrive and executing them.


The first of the two files is a decoy PDF document that's displayed to the victim while the second file, a Python-based executable, is stealthily run in the background.


The binary acts as a dropper to extract and run the main payload packed inside it in the form of Base64-encoded strings ("Storm.exe"), but not before setting up persistence via Windows Registry modification.


Also decoded by the binary is a second ZIP file ("files.zip") that contains four different files, each of which is designed to bypass User Account Control ([UAC](https://attack.mitre.org/techniques/T1548/002/)) and escalate privileges by creating mock trusted directories.


[![Remote Access Trojans](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhzxss3CUZk6Kj826BGTRXQBBhdAENvwE-soHrwpT9Ll2MRo635M1AMuvuEv5HFVJDdIUpvPr8lo8BWtqT-JN9Y5hJIW3xHK6O3WzdiSraxeJXpj4RJ_HOGktRwz8sl7SbPaxeCOYYxVTL6Zidq3h7YEXKm0ydGjRAB3pabC6GszDard6YOonP_76I5FMI/s728-e365/attack-chain.jpg)
Among the files is a batch file ("check.bat") that Securonix said shares several commonalities with another loader called [DBatLoader](https://thehackernews.com/2023/03/stealthy-dbatloader-malware-loader.html) despite the difference in the programming language used.


A second file named "KDECO.bat" executes a PowerShell command to instruct Microsoft Defender to add an [antivirus exclusion rule](https://learn.microsoft.com/en-us/microsoft-365/security/defender-endpoint/configure-extension-file-exclusions-microsoft-defender-antivirus) to skip the "C:\Users" directory.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Join the Webinar](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
The attack culminates with the deployment of [Warzone RAT](https://thehackernews.com/2023/04/russian-hackers-tomiris-targeting.html) (aka Ave Maria), an off-the-shelf malware that's available for sale for $38 per month and comes with an exhaustive list of features to harvest sensitive data and download additional malware such as [Quasar RAT](https://thehackernews.com/2022/02/chinese-hackers-target-taiwans.html).


"It's important to remain extra vigilant when it comes to phishing emails, especially when a sense of urgency is stressed," the researchers said.


"This particular lure was generally unremarkable as it would require the user to execute a JavaScript file directly. Shortcut files, or files using double extensions would likely have a higher success rate."



  





## Tags:


### Autogenerated tags:
javascript malware
