# Schoolyard Bully Trojan Apps Stole Facebook Credentials from Over 300,000 Android Users
## Over 300,000 Android users have fallen victim to dozens of Google Play Store apps that contain the Schoolyard Bully Trojan and steal users' Facebook c
## Information:

+ Link: https://thehackernews.com/2022/12/schoolyard-bully-trojan-apps-stole.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 December 2022, 10:07
+ Date scraped: 01 December 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjSLDhHovi69bnM69vYuj0igdNu35msfVmpVRZ0jalgVmoiCFI5XhmmM15DJU9FY6sJtOukXGMZBWr8v-N-OAUkVyHD83iUg7A8f5BUttJBk_MBIh81-LHXlEINgCswOYYwe7Wvt_JaZbDxbpRL-YTLEgYUL6ERZp2U6USWGHdNTyOGI7YnOSsdFFuM/s728-e1000/apps.png)


More than 300,000 users across 71 countries have been victimized by a new Android threat campaign called the **Schoolyard Bully Trojan**.


Mainly designed to steal Facebook credentials, the malware is camouflaged as legitimate education-themed applications to lure unsuspecting users into downloading them.


The apps, which were available for download from the official Google Play Store, have now been taken down. That said, they still continue to be available on third-party app stores.


"This trojan uses JavaScript injection to steal the Facebook credentials," Zimperium researchers Nipun Gupta and Aazim Bill SE Yaswant said in a [report](https://www.zimperium.com/blog/schoolyard-bully-trojan-facebook-credential-stealer/) shared with The Hacker News.


It achieves this by launching Facebook's login page in a WebView, which also embeds within it malicious JavasCript code to exfiltrate the user's phone number, email address, and password to a configured command-and-control (C2) server.


[![Schoolyard Bully Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhjRXtffhEYJ02S4cB0r1cWMTmZLdZ2Cw0KDODMOa3f8eKO4oNlPcKopxYEyrTxQY3Q63JNdoj06lF9jRNLf91fApBrhTf60uJdV9jfgzyEFWKN4YGxnpsN8notvmKZXINCwDLJGwmzMHHZSEs-fIv4wh-U_emfGsMILP49AipTXFwKZr7sdTYP_Qf7nw/s728-e1000/map.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhjRXtffhEYJ02S4cB0r1cWMTmZLdZ2Cw0KDODMOa3f8eKO4oNlPcKopxYEyrTxQY3Q63JNdoj06lF9jRNLf91fApBrhTf60uJdV9jfgzyEFWKN4YGxnpsN8notvmKZXINCwDLJGwmzMHHZSEs-fIv4wh-U_emfGsMILP49AipTXFwKZr7sdTYP_Qf7nw/s728-e100/map.png)
The Schoolyard Bully Trojan further makes use of native libraries such as "libabc.so" so as to avoid detection by antivirus solutions.


While the malware singles out Vietnamese language applications, it has also been discovered in several other apps available in over 70 countries, underscoring the scale of the attacks.


The findings come more than a year after Zimperium unearthed similar activity aimed at compromising Facebook accounts through rogue Android apps as part of a campaign codenamed [FlyTrap](https://thehackernews.com/2021/08/beware-new-android-malware-hacks.html).


"Attackers can cause a lot of havoc by stealing Facebook passwords," Richard Melick, director of mobile threat intelligence at Zimperium, said. "If they can impersonate someone from their legitimate Facebook account, it becomes extremely easy to phish friends and other contacts into sending money or sensitive information."


"It's also very concerning how many people reuse the same passwords. If an attacker steals someone's Facebook password, there's a high probability that same email and password will work with banking or financial apps, corporate accounts and so much more."


  





## Tags:


### Autogenerated tags:
facebook apps zimperium
