# Thousands of WordPress Sites Hacked to Redirect Visitors to Scam Sites
## Researchers have identified a massive campaign responsible for injecting malicious JavaScript code into thousands of compromised WordPress websites.
## Information:

+ Link: https://thehackernews.com/2022/05/thousands-of-wordpress-sites-hacked-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 May 2022, 10:09
+ Date scraped: 12 May 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEie1xUOL_3zqx9rb3y2Fhz4ynPLSwPNuXQ5heWG_7AN__zcyEed80b7ZT8H30ZAp7VmP-JRd1iCEllD6eU3UO1PGM0spJQuDMaUIiLe6onzai8Ohnervr2HNrggaDzzCjI4_C0AiaD1UszL4C2Nnmc82uy48-97_4mRLw7bhRZctaggo3Rm-HJdYIIb/s728-e100/WordPress.jpg)


Cybersecurity researchers have disclosed a massive campaign that's responsible for injecting malicious JavaScript code into compromised WordPress websites that redirects visitors to scam pages and other malicious websites to generate illegitimate traffic.


"The websites all shared a common issue — malicious JavaScript had been injected within their website's files and the database, including legitimate core WordPress files," Krasimir Konov, a malware analyst at Sucuri, [said](https://blog.sucuri.net/2022/05/massive-wordpress-javascript-injection-campaign-redirects-to-ads.html) in a report published Wednesday.


This involved infecting files such as jquery.min.js and jquery-migrate.min.js with obfuscated JavaScript that's activated on every page load, allowing the attacker to redirect the website visitors to a destination of their choice.


The GoDaddy-owned website security company said that the domains at the end of the redirect chain could be used to load advertisements, phishing pages, malware, or even trigger another set of redirects.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhsUa2sQQGdAzfY5Ev1PM-hUAYM_VDYJhIm74vtkp93Yn7xwdJ6xt5YfbpXnzF7WosWlMfk3Ybp_Hgr9l8FkB8vJDBn-CkY_L25uOiZk8_Rbzo82Sdam5nVxrdlZ239EzUZgrm0KKm2GP2WhZ40l5dea3HLgekT3qMFLkGxt5wraRwEXg5Lh-SGpKqb/s728-e100/malware-wordpress.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhsUa2sQQGdAzfY5Ev1PM-hUAYM_VDYJhIm74vtkp93Yn7xwdJ6xt5YfbpXnzF7WosWlMfk3Ybp_Hgr9l8FkB8vJDBn-CkY_L25uOiZk8_Rbzo82Sdam5nVxrdlZ239EzUZgrm0KKm2GP2WhZ40l5dea3HLgekT3qMFLkGxt5wraRwEXg5Lh-SGpKqb/s728-e100/malware-wordpress.jpg)
In some instances, unsuspecting users are taken to a rogue redirect landing page containing a fake CAPTCHA check, clicking which serves unwanted ads that are disguised to look as if they come from the operating system and not from a web browser.


The campaign — a continuation of another wave that was detected last month — is believed to have [impacted 322 websites](https://publicwww.com/websites/%22drakefollow.com%22/) so far, starting May 9. The April set of attacks, on the other hand, has [breached over 6,500 websites](https://publicwww.com/websites/%22legendarytable.com%22/).


"It has been found that attackers are targeting multiple vulnerabilities in WordPress plugins and themes to compromise the website and inject their malicious scripts," Konov said.


  





## Tags:


### Autogenerated tags:
websites website javascript wordpress
